API 参考
更新商户套餐
按套餐标识更新 StableOps 商户套餐的可配置字段,核对接口返回的价格、周期与启用信息,再向用户展示变更结果。套餐用于商户向终端用户提供周期性服务,金额以美元计价,实际结算资产在付款时选择。维护套餐时还需核对关联订阅、现有账单与后续续费行为。
PUT
/v1/merchant/plans/{id}Authorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Path Parameters
id*unknown
Merchant plan id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/merchant/plans/{id}" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"group_key": "string",
"amount": "string",
"interval": "month",
"interval_count": 1,
"trial_days": 0,
"metadata": {
"property1": null,
"property2": null
},
"is_active": true,
"is_template": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}这篇文档怎么样?
最后更新